import request from '/@/utils/request';
/**
 * @summary 获取所有报警配置
 */
export const GetAllSignalAlarm = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Value/Alarm/Configure/GetBySignalID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * @summary 添加一个报警配置
 */
export const InsertASignalAlarm = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Value/Alarm/Configure/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 修改一个报警配置记录
 */
export const UpdateASignalAlarm = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Value/Alarm/Configure/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条报警配置记录
 */
export const DeleteASignalAlarm = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Value/Alarm/Configure/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 修改报警配置表格排序码
 */
export const UpdateSignalAlarmSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Value/Alarm/Configure/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新报警配置使用状态
 */
export const UpdateSignalAlarmUseStatus = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Value/Alarm/Configure/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};
